Bug 108110 - hades canyon can not wake from dpms on mDP
Summary: hades canyon can not wake from dpms on mDP
Status: RESOLVED FIXED
Alias: None
Product: DRI
Classification: Unclassified
Component: DRM/AMDgpu (show other bugs)
Version: unspecified
Hardware: Other All
: medium normal
Assignee: Default DRI bug account
QA Contact:
URL:
Whiteboard: Triaged
Keywords:
Depends on:
Blocks:
 
Reported: 2018-10-01 15:38 UTC by louisgtwo
Modified: 2018-11-25 17:15 UTC (History)
4 users (show)

See Also:
i915 platform:
i915 features:


Attachments
dmesg -drm.debug=0x1e log_buf_len=4M (2.52 MB, text/plain)
2018-10-03 15:51 UTC, louisgtwo
no flags Details
Stack traces (7.89 KB, text/plain)
2018-10-03 16:55 UTC, louisgtwo
no flags Details
journald log (11.05 MB, text/plain)
2018-10-03 16:57 UTC, louisgtwo
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description louisgtwo 2018-10-01 15:38:46 UTC
I am having an issue with intel NUC8i7HNK. I have three Dell U2415 monitors connected to one mDP daisychained. When the monitors go to sleep (dpms) trying to wake up the monitors after half hour or more fails, touching the keyboard and mouse. Only way is a hard reboot. Same monitors connected to other systems wake up fine. This system has AMD Vega M graphics but Intel graphics drive the displays. Is this correct?

--Thanks
Comment 1 Lakshmi 2018-10-03 07:26:09 UTC
Reporter, Can you send dmesg from boot with kernel parameters drm.debug=0x1e log_buf_len=4M.
This will give more information about the bug.
Comment 2 louisgtwo 2018-10-03 15:51:19 UTC
Created attachment 141857 [details]
dmesg -drm.debug=0x1e log_buf_len=4M

did dmesg get cut off?
Comment 3 louisgtwo 2018-10-03 16:55:36 UTC
Created attachment 141859 [details]
Stack traces

A couple of traces I found in the logs.
Comment 4 louisgtwo 2018-10-03 16:57:37 UTC
Created attachment 141860 [details]
journald log

Since fedora uses journald this might be more complete.
Comment 5 louisgtwo 2018-10-03 17:06:43 UTC
I turned off dpms for now. if you want logs when entering dpms let me know.
Comment 6 louisgtwo 2018-11-25 17:15:59 UTC
Seems to be fixed in kernel 4.18


Use of freedesktop.org services, including Bugzilla, is subject to our Code of Conduct. How we collect and use information is described in our Privacy Policy.